<?php namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (file_exists(SYSTEMPATH . 'Config/Routes.php'))
{
	require SYSTEMPATH . 'Config/Routes.php';
}

/**
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
$routes->setAutoRoute(true);

/**
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.
$routes->get('/', 'Home::index');

//codeigniter4.lukasz.sos.pl/contact
$routes->add('contact', 'Urladdresses::contact');

//http://codeigniter4.lukasz.sos.pl/product/1
//http://codeigniter4.lukasz.sos.pl/product/spodnie
$routes->add('product/(:num)', 'Urladdresses::product/$1');

//http://codeigniter4.lukasz.sos.pl/productshow/1
//http://codeigniter4.lukasz.sos.pl/productshow/123
$routes->addPlaceholder('productitem', '[a-g]{2}');
$routes->add('productshow/(:productitem)', 'Urladdresses::productshow/$1');

//http://codeigniter4.lukasz.sos.pl/productnumber/1234567890
//http://codeigniter4.lukasz.sos.pl/productnumber/1234567890a
$routes->add('productnumber/([0-9]+)', 'Urladdresses::productnumber/$1');

// Formularz z sprawdzaniem danych
$routes->add('registerform', 'Registerform::showform');

// Formularz z sprawdzaniem danych plus własne sprawdzanie
$routes->add('registeruser', 'Registeruser::showform');

// Dzielenie na strony
$routes->add('pageusers', 'Pageusers::showusers');

// Dzielenie na strony z wybranymi danymi
$routes->add('pageusersselect', 'Pageusersselect::showusers');

// Blog
$routes->add('blog/([a-z0-9\-]+).html', 'Blog::showone/$1');
/**
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (file_exists(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php'))
{
	require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
