<?php 

namespace App\Controllers;

use CodeIgniter\Controller;
use App\Models\ShowblogModel;

class Blog extends Controller
{        
    private $model;
    
    public function __construct()
    {
        $this->model = new ShowblogModel();
    }
    
    public function index()
    {
        $Body['title'] = 'Blog';
        
        echo view('blog/head', $Body);
        
        $pager = \Config\Services::pager();

        $Body['blogs'] = $this->model->SelectOrder()->paginate(5);
        $Body['pager'] = $this->model->pager;
        
        echo view('blog/blog',$Body);
        
        echo view('blog/foot');
    }
    
    public function showone($Id = "")
    {
        if($Id == "")
        {
            $Body['title'] = 'Błąd - nie podano identyfikatora wpisu - Blog';
            $Body['warning'] = 'Błąd - nie podano identyfikatora wpisu!';
        }
        else
        {
            $ReadyExploded = explode('-',$Id);
            
            if(is_numeric($ReadyExploded[count($ReadyExploded)-1]))
            {
                $Result = $this->model->GetOne($ReadyExploded[count($ReadyExploded)-1]);
                
                $BlogNotExists = true;
                
                foreach ($Result->getResult() as $row)
                {
                    if($row->blog_id != "")
                    {
                        $BlogNotExists = false;
                    }
                    
                    $Body['BlogTitle'] = $row->blog_title;
                    $Body['BlogBody'] = $row->blog_body;
                    $Body['BlogDate'] = $row->blog_date;
                }
                
                if($BlogNotExists)
                {
                    $Body['title'] = 'Błąd - brak identyfikatora wpisu - Blog';
                    $Body['warning'] = 'Błąd - brak identyfikatora wpisu!';
                }
                else
                {
                    $Body['title'] = $Body['BlogTitle'].' - Blog';
                }
            }
            else
            {
                $Body['title'] = 'Błąd - brak identyfikatora wpisu - Blog';
                $Body['warning'] = 'Błąd - brak identyfikatora wpisu!';
            }
        }
        
        echo view('blog/head', $Body);
        
        echo view('blog/showone',$Body);
        
        echo view('blog/foot');
    }
}

/*
update blog set blog_date = "2020-09-28 14:45:13" where blog_id = 32;
update blog set blog_date = "2020-09-27 13:32:54" where blog_id = 31;
update blog set blog_date = "2020-09-26 11:58:24" where blog_id = 30;
update blog set blog_date = "2020-09-25 18:31:18" where blog_id = 29;
update blog set blog_date = "2020-09-24 22:12:56" where blog_id = 28;
update blog set blog_date = "2020-09-23 09:17:34" where blog_id = 27;
update blog set blog_date = "2020-09-22 17:31:46" where blog_id = 26;
update blog set blog_date = "2020-09-21 08:36:59" where blog_id = 25;
update blog set blog_date = "2020-09-20 07:27:50" where blog_id = 24;
update blog set blog_date = "2020-09-19 07:39:01" where blog_id = 23;
update blog set blog_date = "2020-09-18 07:00:26" where blog_id = 22;
update blog set blog_date = "2020-09-17 18:11:08" where blog_id = 21;
update blog set blog_date = "2020-09-16 20:21:29" where blog_id = 20;
update blog set blog_date = "2020-09-15 11:38:58" where blog_id = 19;
update blog set blog_date = "2020-09-14 09:56:58" where blog_id = 18;
update blog set blog_date = "2020-09-13 06:57:03" where blog_id = 17;
update blog set blog_date = "2020-09-12 19:50:47" where blog_id = 16;
update blog set blog_date = "2020-09-11 20:48:54" where blog_id = 15;
update blog set blog_date = "2020-09-10 21:11:12" where blog_id = 14;
update blog set blog_date = "2020-09-09 21:20:59" where blog_id = 13;
update blog set blog_date = "2020-09-08 14:29:58" where blog_id = 12;
update blog set blog_date = "2020-09-07 14:45:50" where blog_id = 11;
update blog set blog_date = "2020-09-06 14:16:39" where blog_id = 10;
update blog set blog_date = "2020-09-05 15:59:06" where blog_id = 9;
update blog set blog_date = "2020-09-04 12:00:09" where blog_id = 8;
update blog set blog_date = "2020-09-03 12:06:17" where blog_id = 7;
update blog set blog_date = "2020-09-02 12:02:11" where blog_id = 6;
update blog set blog_date = "2020-09-01 18:59:31" where blog_id = 5;
update blog set blog_date = "2020-08-31 17:01:26" where blog_id = 4;
update blog set blog_date = "2020-08-30 11:19:55" where blog_id = 3;
update blog set blog_date = "2020-08-29 13:49:41" where blog_id = 2;
update blog set blog_date = "2020-08-28 23:51:01" where blog_id = 1;
*/

?>